The following is a typical walk through the installation of wxWidgets and the steps neccessary to build the SACAMOS GUI for Ubuntu Linux version 16.04.2

INSTALL wxWidgets
=================
1. Download the wxWidgets source from:
	https://www.wxwidgets.org/downloads/
	
Note: The latest stable release is the recommended version version 3.0.2.

2. Extract the source code and enter the root folder, then do:
	./configure
	
Inspect the output and make note of any reported missing dependancies and install, typically for a fresh Ubuntu install this would be GTK+2.0

e.g To install GTK+3.0: sudo apt-get install gtk+3.0

Once ./configure runs succesfully:

	make
	
This could take some time...

Following a succesful make

	sudo make install
	
3.	cd /usr/local/lib/wx/config/ 
	
	sudo dos2unix gtk*-unicode-3.*
	
where the wildcard * can be replaced by information specific  to your version of GTK+.

Build SW1
=========
Download the SW1 source (for Linux) from:
    
    http://www.sacamos.org/downloads
    
Extract the archive into a folder within your home directory e.g.

    /home/[your user name]/SACAMOS_SRC
    
Open a terminal and navigate to the SACAMOS_SRC folder, e.g:

    cd SACAMOS_SRC
    
Build SW1

    make -f makefile.simple 
	
Copy the SW1 binary executable to the folder [SACAMOS]/BIN e.g.:

    cp SW1 [SACAMOS]/BIN
	
this will copy the SW1 executable to the SACAMOS /BIN folder (the location of the 
of the command line tools).
