#Setting up the Makefile:

Within the Makefile the user may need to change the name of the Fortran compiler.
The compiler is set to be gfortran by default

FC=gfortran

The compilation flags may also need to be changed for different compilers. Here we compile with bounds check

FLAGS=  -cpp -fbounds-check -finit-real=nan -finit-integer=nan -J$(MOD_DIR) -I$(MOD_DIR)

#Using the Makefile

Once the Makefile is set up correctly then the software is made with the command

make

The system may be cleaned (object files and executable files removed) using

make clean.

The executable files are placed in the top_level/bin directory (unless EXECUTABLE_DIR is set to something different) .
