set logscale x
set autoscale x
set autoscale y
set title "SPACEWIRE_AWG_26_ESCC_3902003_V2_inner: Transfer impedance model fit "
set xlabel "Frequency(Hz)"
set ylabel "Impedance (ohms)"
plot "Zt_Zc.dat" u 1:2 title "Re{Zt}" w l,\
     "Zt_fit.fout" u 1:2 title "Re{Zt_fit}" w l
     
pause -1
    
set autoscale x
set autoscale y
set title "SPACEWIRE_AWG_26_ESCC_3902003_V2_inner: Transfer impedance model fit"
set xlabel "Frequency(Hz)"
set ylabel "Impedance (ohms)"
plot "Zt_Zc.dat" u 1:3 title "Im{Zt}" w l,\
     "Zt_fit.fout" u 1:3 title "Im{Zt_fit}" w l

pause -1

set autoscale x
set autoscale y
set title "SPACEWIRE_AWG_26_ESCC_3902003_V2_inner: Surface impedance model fit"
set xlabel "Frequency(Hz)"
set ylabel "Impedance (ohms)"
plot "Zt_Zc.dat" u 1:4 title "Re{Zc}" w l,\
     "Zc_fit.fout" u 1:2 title "Re{Zc_fit}" w l
     
pause -1
    
set autoscale x
set autoscale y
set title "SPACEWIRE_AWG_26_ESCC_3902003_V2_inner: Surface impedance model fit"
set xlabel "Frequency(Hz)"
set ylabel "Impedance (ohms)"
plot "Zt_Zc.dat" u 1:5 title "Im{Zc}" w l,\
     "Zc_fit.fout" u 1:3 title "Im{Zc_fit}" w l

pause -1
    
